from __future__ import annotations

from collections.abc import MutableMapping, MutableSequence
from typing import Generic, TypeVar

_T = TypeVar("_T")
_KT = TypeVar("_KT")
_VT = TypeVar("_VT")


class RepeatedCompositeFieldContainer(MutableSequence[_T], Generic[_T]):
    ...


class RepeatedScalarFieldContainer(MutableSequence[_T], Generic[_T]):
    ...


class ScalarMap(MutableMapping[_KT, _VT], Generic[_KT, _VT]):
    ...
